Add a file to a vector store
Adds a file to a vector store for semantic search indexing.
Documentation Index
Fetch the complete documentation index at: https://docs.mka1.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Path Parameters
The ID of the vector store for which to create a File.
Body
Request body for creating a vector store file.
A File ID that the vector store should use. Useful for tools like file_search that can access files.
Set of 16 key-value pairs that can be attached to an object. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.
The chunking strategy used to chunk the file(s). If not set, will use the auto strategy.
- Option 1
- Option 2
Response
OK
A list of files attached to a vector store.
The identifier, which can be referenced in API endpoints.
The object type, which is always 'vector_store.file'.
The total vector store usage in bytes. Note that this may be different from the original file size.
-9007199254740991 <= x <= 9007199254740991The Unix timestamp (in seconds) for when the vector store file was created.
-9007199254740991 <= x <= 9007199254740991The ID of the vector store that the File is attached to.
The status of the vector store file. 'in_progress' means currently processing, 'completed' indicates the file is ready for use, 'cancelled' means processing was cancelled, 'failed' means an error occurred.
in_progress, completed, cancelled, failed The last error associated with this vector store file. Will be null if there are no errors.
The strategy used to chunk the file.
- Option 1
- Option 2
- Option 3
Set of 16 key-value pairs that can be attached to an object. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.